अपाचे कैमल एसएसएल RabbitMQ

लोग,   अपाचे-कैमल खरगोश से कनेक्ट करते समय एएमक्यूपी का समर्थन नहीं कर रहा है। क्या किसी को पता है कि यह कहीं पाइपलाइन में बनाया गया है या नहीं?

सभी कनेक्शनों का प्रयास करते समय, हम इसे खरगोश लॉग में प्राप्त करते हैं:

error on AMQP connection <0.30060.4>: {ssl_upgrade_error,timeout} (unknown POSIX error)

धन्यवाद!

0

1 उत्तर

वर्तमान RabbitMQ ऊंट घटक किसी भी एसएसएल विन्यास सुविधाओं का समर्थन नहीं करता है। साथ ही, यदि आप अपने जीआईआरए को देखते हैं तो ऐसा लगता है कि इसे लागू करने के लिए कोई टिकट खुला नहीं है ( खरगोश एमक्यू के लिए ऊंट जिरा टिकट )

आप टिकट भर सकते हैं या इससे भी बेहतर, आप एसएसएल का समर्थन करने के लिए मौजूदा घटक को संशोधित कर सकते हैं और इसे ओपन सोर्स समुदाय में दान कर सकते हैं। यदि आप ऐसा करने की योजना बना रहे हैं, तो कृपया अपाचे कैमल: योगदान पढ़ें

2
जोड़ा